org.codehaus.groovy.classgen.asm.sc

## Class StaticInvocationWriter

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.InvocationWriter
  - - org.codehaus.groovy.classgen.asm.sc.StaticInvocationWriter

-     public class StaticInvocationWriter
      extends InvocationWriter

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.classgen.asm.InvocationWriter

      `invokeClosureMethod, invokeMethod, invokeMethodOnCurrent, invokeMethodOnSuper, invokeStaticMethod`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticInvocationWriter(WriterController wc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `isPrivateBridgeMethodsCallAllowed(ClassNode receiver, ClassNode caller)`
    `protected void` | `loadArguments(java.util.List<Expression> argumentList, Parameter[] para)`
    `void` | `makeCall(Expression origin, Expression receiver, Expression message, Expression arguments, MethodCallerMultiAdapter adapter, boolean safe, boolean spreadSafe, boolean implicitThis)`
    `protected boolean` | `writeDirectMethodCall(MethodNode target, boolean implicitThis, Expression receiver, TupleExpression args)`
    `void` | `writeInvokeConstructor(ConstructorCallExpression call)`

    - ### Methods inherited from class org.codehaus.groovy.classgen.asm.InvocationWriter

      `finnishConstructorCall, getMethodName, makeArgumentList, makeSingleArgumentCall, prepareConstructorCall, writeInvokeMethod, writeInvokeStaticMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticInvocationWriter

          public StaticInvocationWriter(WriterController wc)

  - ### Method Detail

    - #### writeInvokeConstructor

          public void writeInvokeConstructor(ConstructorCallExpression call)

      Overrides:
        `writeInvokeConstructor` in class `InvocationWriter`

    - #### writeDirectMethodCall

          protected boolean writeDirectMethodCall(MethodNode target,
                                      boolean implicitThis,
                                      Expression receiver,
                                      TupleExpression args)

      Overrides:
        `writeDirectMethodCall` in class `InvocationWriter`

    - #### isPrivateBridgeMethodsCallAllowed

          protected static boolean isPrivateBridgeMethodsCallAllowed(ClassNode receiver,
                                                  ClassNode caller)

    - #### loadArguments

          protected void loadArguments(java.util.List<Expression> argumentList,
                           Parameter[] para)

      Overrides:
        `loadArguments` in class `InvocationWriter`

    - #### makeCall

          public void makeCall(Expression origin,
                      Expression receiver,
                      Expression message,
                      Expression arguments,
                      MethodCallerMultiAdapter adapter,
                      boolean safe,
                      boolean spreadSafe,
                      boolean implicitThis)

      Overrides:
        `makeCall` in class `InvocationWriter`